API Reference
Virtual Accounts
Get all virtual account transactions [GET]

Get all virtual account transactions


https://sandboxapi.onbrails.com/api/v2/virtual-accounts/{id}/transactions (opens in a new tab)

Get all transactions on a virtual account

Query Params

ParameterTypeRequiredDescription
limitintegerNumber of results to return (default 50, max 100)
nextCursorstringCursor for the next page of results
prevCursorstringCursor for the previous page of results

Request

Get all transactions on a virtual account [GET]
curl --request GET \
   --url 'https://sandboxapi.onbrails.com/api/v2/virtual-accounts/f8d4c37d-0292-44b6-ab72-9d1fb7a4ba90/transactions' \
   --header 'Authorization: Bearer API-KEY' \
   --header 'accept: application/json'

Responses

🟢 200 - Result example
{
  "status": true,
  "message": "successfully fetched virtual account transactions",
  "data": {
      "transactions": [
          {
              "id": "43381f97-f7dd-438b-906c-f45bc2a4440d",
              "type": "CREDIT",
              "fees": "0",
              "action": "DEPOSIT_NGN",
              "amount": "500",
              "status": "success",
              "channel": "bank",
              "createdAt": "2024-03-12T12:27:23.599Z",
              "updatedAt": "2024-03-12T12:27:24.078Z",
              "reference": "d22bb7a8db5e",
              "companyId": "be18709e-0000-0000-bb0c-2a3e2711e6b1",
              "exchangeRate": "0",
              "balanceAfter": "757340.76",
              "balanceBefore": "707340.76",
              "description": "CREDIT",
              "currency": "NGN",
              "payoutUsdAmount": "0"
          }
      ],
      "meta": {
        "limit": 50,
        "nextCursor": null,
        "prevCursor": null,
        "hasNextPage": false,
        "hasPreviousPage": false
      }
  }
}